> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Project

> Allows to create a new project with the provided configuration. It only requires the project name but more configuration can be provided to override the defaults.



## OpenAPI

````yaml POST /projects
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /projects:
    post:
      tags:
        - projects
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type:
                    - string
                    - 'null'
                  maxLength: 100
                  description: The desired name for the project
                  example: a-project-name
                teamId:
                  type:
                    - string
                    - 'null'
                alias:
                  type:
                    - string
                    - 'null'
                buildCommand:
                  type:
                    - string
                    - 'null'
                devCommand:
                  type:
                    - string
                    - 'null'
                installCommand:
                  type:
                    - string
                    - 'null'
                framework:
                  type:
                    - string
                    - 'null'
                outputDirectory:
                  type:
                    - string
                    - 'null'
                commandForIgnoringBuildStep:
                  type:
                    - string
                    - 'null'
      responses:
        '200':
          description: The project was successfuly created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type:
                      - string
                      - 'null'
                  teamId:
                    type:
                      - string
                      - 'null'
                  alias:
                    type:
                      - string
                      - 'null'
                  buildCommand:
                    type:
                      - string
                      - 'null'
                  devCommand:
                    type:
                      - string
                      - 'null'
                  installCommand:
                    type:
                      - string
                      - 'null'
                  framework:
                    type:
                      - string
                      - 'null'
                  outputDirectory:
                    type:
                      - string
                      - 'null'
                  commandForIgnoringBuildStep:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: number
                  updatedAt:
                    type: number
                required:
                  - id
                  - name
                  - teamId
                  - alias
                  - buildCommand
                  - devCommand
                  - installCommand
                  - framework
                  - outputDirectory
                  - commandForIgnoringBuildStep
                  - createdAt
                  - updatedAt
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '401':
          description: ''
        '403':
          description: You do not have permission to access this resource.
        '409':
          description: A projects with the provided name/id already exists.
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````